function D_r = DiffMatrix1D(N,r,V)

% computes differentiation matrix (as in Hesthaven book) using Vandermonde matrix V and given set of nodes (Gauss-Lobatto guadrature nodes) for further computation of stiffness matrix

V_r = GradVandermondeMatrix1D(N,r);
D_r = V_r * inv(V);

end
